Subject: Re: Silymarin? Where can I find?

From: [email-masked] (Thomas Trudell)
Date: 10 Jan 1995 23:24:23 GMT

In <[email-masked]> [email-masked] (Brian Kraiss) writes: 

>
>Hello,
>
>Silymarin...is this a plant?  If so where can I find seeds to plant and grow 
>them myself?  Is it sold in pill form?  Also where could I find more detailed
>information on this?
>
>Thanks,
>--BK
>

Yes this is a plant, otherwise known as Milk Thistle Seed (Silybum marianum).  It is available in pill 
at health food stores under the name Milk Thistle or silymarin.  It is very good 
liver cleansing. Look at "Prescription for Nutritional Healing" James & Phyllis Balch, Avery Press 
also "Pocket Herbal Reference Guide" by Debra Nuzzi, and numerous other herbal books.

SMT